%define name emelfm
%define version 0.9.2
%define release 4mdk

Summary: File manager using the two-panel design and Gtk+
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: File tools
Source: %{name}-%{version}.tar.bz2 
Url: http://emelfm.sourceforge.net/
Patch0: emelfm-0.9.2-mdk-Makefile.common.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtk+-devel >= 1.2
Requires: gtk+ >= 1.2

%description
emelFM is a file manager that implements the popular two-panel design. It
features a simple GTK+ interface, a flexible filetyping scheme, and a built-in
command line for executing commands without opening an xterm.

Features:
     o Simple Interface 
     o Bookmarks and History Lists 
     o Flexible filetyping scheme 
     o Multiple actions selectable for each filetype 
     o Filename, Size, and Date Filters 
     o Built-In Command Line 
     o User-defined menu 
     o Configurable Keyboard bindings 
     o Configurable Toolbar 
     o Runtime loadable plugins 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1

%build

%make

%install
mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_docdir
mkdir -p $RPM_BUILD_ROOT%_libdir/emelfm/plugins
mkdir -p $RPM_BUILD_ROOT%_datadir/locale/
make BIN_DIR=$RPM_BUILD_ROOT%{_bindir} DOC_DIR=$RPM_BUILD_ROOT%_docdir \
	PLUGINS_DIR=$RPM_BUILD_ROOT%_libdir/emelfm/plugins \
	LOCALEDIR=$RPM_BUILD_ROOT%_datadir/locale/ install

rm -rf $RPM_BUILD_ROOT%_docdir/help.txt
 

(cd $RPM_BUILD_ROOT 
mkdir -p   ./usr/lib/menu
 cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
command="%{name}"\
title="Emelfm"\
longtitle="A GTK file manager"\
needs="x11"\
icon="file_tools_section.png"\
section="Applications/File tools"
EOF
)

%find_lang %name

%post
/sbin/ldconfig
%{update_menus}   
   
   echo If upgrading from a previous release  you should delete ~.emelfm/plugins
   echo due to change in the plugins location, plugins will now auto-load with this release.   

%postun
/sbin/ldconfig
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc README COPYING ChangeLog
%doc docs/help.txt
%{_bindir}/*
%{_libdir}/menu/*
%_libdir/emelfm/plugins/*.so
 
%changelog
* Mon Jun 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-4mdk
- from Charles A Edwards <eslrahc@bellsouth.net>
  - emelfm-0.9.2--mdk-Makefile-common.patch
  - put plugins in _libdir not _datadir
  - add feature list
  - fix typos

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-3mdk
- typo

* Tue Jan 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-2mdk
- icon

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- updated to 0.9.2

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-2mdk
- v0.7.2
- BM
- macros
* Mon Jun 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- new in contribs
- used srpm provided by Laurent Grawet <laurent.grawet@ibelgique.com>
